CREATE OR REPLACE procedure opt_lock_fupdate (
   iempno in varchar2 default null,
   iename in varchar2 default null,
   ijob in varchar2 default null,
   old_emp in owa_opt_lock.vcArray) is

   cowner varchar2(500);
   cname varchar2(500);
   clineno number;
   ccaller varchar2(500);

begin
   if owa_opt_lock.verify_values(old_emp) then
      -- Perform the update
      update scott.emp emp set
         emp.ename = iename,
         emp.job = ijob
      where
         emp.empno = iempno;
      commit;
      htp.print('<h1>Change Successful</h1>');
   else
      htp.print('<h1>The record has been changed!</h1>');
   end if;
   opt_lock_test;
EXCEPTION
   when others then
      htp.print(dbms_utility.format_error_stack);
end;

  
/

