DROP TABLE MEMBERS CASCADE CONSTRAINTS ; 
CREATE TABLE MEMBERS ( 
  USERNAME       VARCHAR2(20)  NOT NULL, 
  PASSWORD       VARCHAR2(50), 
  NAME           VARCHAR2(50), 
  EMAIL_ADDRESS  VARCHAR2(50), 
  PERSONAL_DESC  VARCHAR2(500), 
  ATTRIBUTE1     VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE2     VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE3     VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE4     VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE5     VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE6     VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE7     VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE8     VARCHAR2(250)  DEFAULT null, 
  CONSTRAINT MEMBER_PK
  PRIMARY KEY ( USERNAME ) ) ; 
  
DROP TABLE MESSAGES CASCADE CONSTRAINTS ; 
CREATE TABLE MESSAGES ( 
  MSG_ID        NUMBER        NOT NULL, 
  MSG_PARENT    NUMBER        DEFAULT 0, 
  MSG_AUTHOR    VARCHAR2(20), 
  MSG_SUBJECT   VARCHAR2(200), 
  MSG_BODY      VARCHAR2(2000), 
  DATE_CREATED  DATE          DEFAULT sysdate, 
  ATTRIBUTE1    VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE2    VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE3    VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE4    VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE5    VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE6    VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE7    VARCHAR2(250)  DEFAULT null, 
  ATTRIBUTE8    VARCHAR2(250)  DEFAULT null, 
  CONSTRAINT POST_PK
  PRIMARY KEY ( MSG_ID ) ) ; 

drop sequence message_seq;
create sequence message_seq start with 1;
